# $Revision: 1.7 $, $Date: 2002/07/01 22:13:41 $
Summary:	A web based POP mail client written in PHP4
Summary(pl):	Klient POP przez WWW, napisany w PHP4
Name:		phpost
Version:	1.08
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://webgadgets.com/phpost/%{name}-%{version}.tar.gz
Patch0:		%{name}_Polski.patch
Requires:	php
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpostdir	/home/httpd/html/%{name}

%description
PHPost is a free PHP4 program that implements a POP mail client. It is
designed to work with any standard POP and SMTP server (for receiving
and sending mail respectively). It is simple and straight-forward, it
doesn't rely on any PHP add-ons or optional modules (although it will
use certain ones if they are available)

%description -l pl
Jest to darmowy klient POP napisany w PHP4. Jest przeznaczony do pracy
ze standardowymi serwerami POP oraz SMTP.

%prep
%setup -q -c
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_phpostdir}/%{name}_{cache,prefs,temp}

install *.{gif,php,css,inc} $RPM_BUILD_ROOT%{_phpostdir}
install %{name}_cache/.htaccess $RPM_BUILD_ROOT%{_phpostdir}/%{name}_cache/
install %{name}_prefs/.htaccess $RPM_BUILD_ROOT%{_phpostdir}/%{name}_prefs/

ln -sf %{name}.php $RPM_BUILD_ROOT%{_phpostdir}/index.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%dir %{_phpostdir}
%attr(770,root,http) %{_phpostdir}/%{name}_cache
%attr(770,root,http) %{_phpostdir}/%{name}_prefs
%attr(770,root,http) %{_phpostdir}/%{name}_temp
%{_phpostdir}/*.gif
%{_phpostdir}/*.inc
%{_phpostdir}/*.css
%{_phpostdir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: phpost.spec,v $
Revision 1.7  2002/07/01 22:13:41  marcus
- updated to 1.08
- use new %%doc

Revision 1.6  2002/02/25 20:36:11  kloczek
- release 2.

Revision 1.5  2002/02/25 20:28:24  djrzulf
- added missed "/" char in creating link...
- STBR for STABLE

Revision 1.4  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/21 08:27:30  qboosh
- fixed defattr and pl description

Revision 1.2  2002/02/20 23:52:38  kloczek
- cleaned up.

Revision 1.1  2002/02/20 22:53:25  djrzulf
- initial spec release, this program works fine but need testing,
